This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 832518 - [abrt] python-2.7.3-6.fc17: _IO_default_xsputn: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: _IO_default_xsputn: Process /usr/bin/python2.7 wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:809e7d65d3b3349ebe7cd32a780...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 11:47 EDT by chrys87
Modified: 2013-07-31 15:24 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:24:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (130.14 KB, text/plain)
2012-06-15 11:47 EDT, chrys87
no flags Details
File: backtrace (149.77 KB, text/plain)
2012-06-15 11:47 EDT, chrys87
no flags Details
File: maps (35.99 KB, text/plain)
2012-06-15 11:47 EDT, chrys87
no flags Details
File: dso_list (13.77 KB, text/plain)
2012-06-15 11:47 EDT, chrys87
no flags Details
File: build_ids (5.12 KB, text/plain)
2012-06-15 11:47 EDT, chrys87
no flags Details

  None (edit)
Description chrys87 2012-06-15 11:47:24 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python -c 'import orca.orca; orca.orca.main()' ''
crash_function: _IO_default_xsputn
executable:     /usr/bin/python2.7
kernel:         3.4.0-1.fc17.i686.PAE
pid:            12120
pwd:            /home/chrys
time:           Fr 15 Jun 2012 17:44:37 CEST
uid:            1000
username:       chrys

backtrace:      Text file, 153369 bytes
build_ids:      Text file, 5248 bytes
core_backtrace: Text file, 133267 bytes
dso_list:       Text file, 14096 bytes
maps:           Text file, 36851 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/chrys/8

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=8
:HOSTNAME=chrys.home
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/chrys/keyring-MR5ono/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/chrys/keyring-MR5ono
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=chrys
:SSH_AUTH_SOCK=/run/user/chrys/keyring-MR5ono/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/11383,unix/unix:/tmp/.ICE-unix/11383
:
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/chrys/bin:/usr/bin:/usr/sbin:/bin
:MAIL=/var/spool/mail/chrys
:QT_IM_MODULE=xim
:PWD=/home/chrys
:XMODIFIERS=@im=none
:LANG=de_DE.utf8
:GNOME_KEYRING_PID=11379
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:PYTHONPATH=:/usr/lib/python2.7/site-packages
:
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cO6nsrzbzO,guid=48408395eb1f0467f9b6801900002c43
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/chrys
:XAUTHORITY=/var/run/gdm/auth-for-chrys-hi025W/database
:_=/usr/bin/python

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 32156                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       32156                32156                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/chrys/.xsession-errors
:2:/home/chrys/.xsession-errors
:3:/home/chrys/.local/share/orca/orca-customizations.py
:4:anon_inode:[eventfd]
:5:anon_inode:[eventfd]
:6:/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py
:7:socket:[1010838]
:8:pipe:[1010837]
:9:pipe:[1010837]
:10:socket:[1008379]
:11:socket:[1008381]
:12:socket:[999396]
:13:anon_inode:[eventfd]
:14:anon_inode:[eventfd]
:15:socket:[1010839]
:16:anon_inode:[eventfd]
:17:socket:[1010840]
:18:/usr/lib/python2.7/site-packages/gtk-2.0/gtk/_gtk.so

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 633c569d-0e25-442a-b9e1-fdb8649a7626
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: i686
:BogoMIPS: 7200.49
:CPU-Anbieter: AuthenticAMD
:CPU-Modell: AMD FX(tm)-4100 Quad-Core Processor
:CPU-Stepping: 2
:CPU Familie: 21
:CPU-Modellnummer: 1
:Anzahl der CPUs: 4
:CPU-Geschwindigkeit: 3600
:Systemspeicher: 4035
:System-Swap: 509
:Anbieter: MSI
:System: MS-7641 3.0
:Form-Faktor: Desktop
:Kernel: 3.4.0-1.fc17.i686.PAE
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(4098:17297:5218:30273) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4318:3054:0:0) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4130:38400:4130:38400) pci, None, HOST/PCI, RS780 Host Bridge
:(4130:5637:0:0) pci, None, HOST/PCI, Family 15h Processor Function 5
:(4130:5636:0:0) pci, fam15h_power, HOST/PCI, Family 15h Processor Function 4
:(4130:5633:0:0) pci, None, HOST/PCI, Family 15h Processor Function 1
:(4130:5632:0:0) pci, None, HOST/PCI, Family 15h Processor Function 0
:(4130:5635:0:0) pci, k10temp, HOST/PCI, Family 15h Processor Function 3
:(4130:5634:0:0) pci, None, HOST/PCI, Family 15h Processor Function 2
:(4332:33128:5218:30273) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:38403:4130:38400) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4098:17308:5218:30273) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5218:30273) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:5218:30273) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5218:63041) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4098:17302) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:4676:0:0) pci, nouveau, VIDEO, GF116 [GeForce GTX 550 Ti]
:(4098:17303:5218:30273) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5218:30273) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5218:30273) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5218:30273) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5218:30273) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38405:4130:38400) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 3826290 1430245 1238269 960992 720570 720570
:/dev/sda9 /home ext3 4096 4096 19913361 2797135 1785041 5062656 4816750 4816750
:

var_log_messages:
:Jun 12 16:27:02 chrys abrt[5891]: Saved core dump of pid 5183 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-12-16:26:58-5183 (245579776 bytes)
:Jun 15 15:26:03 chrys abrt[7541]: Saved core dump of pid 7536 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-15:26:02-7536 (37826560 bytes)
:Jun 15 15:26:17 chrys abrt[7632]: Not dumping repeating crash in '/usr/bin/python2.7'
:Jun 15 15:26:28 chrys abrt[7694]: Saved core dump of pid 7687 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-15:26:27-7687 (37765120 bytes)
:Jun 15 15:26:31 chrys abrt[7792]: Not dumping repeating crash in '/usr/bin/python2.7'
:Jun 15 15:27:14 chrys abrt[7884]: Saved core dump of pid 7879 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-15:27:13-7879 (37826560 bytes)
:Jun 15 15:27:21 chrys abrt[7977]: Not dumping repeating crash in '/usr/bin/python2.7'
:Jun 15 15:27:56 chrys abrt[8045]: Saved core dump of pid 8042 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-15:27:56-8042 (37871616 bytes)
:Jun 15 15:28:51 chrys abrt[8371]: Saved core dump of pid 8368 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-15:28:50-8368 (37838848 bytes)
:Jun 15 15:32:59 chrys abrt[8509]: Saved core dump of pid 8506 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-15:32:59-8506 (37867520 bytes)
:Jun 15 16:36:20 chrys abrt[8801]: Saved core dump of pid 8798 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-16:36:20-8798 (37838848 bytes)
:Jun 15 16:42:41 chrys abrt[9311]: Saved core dump of pid 9308 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-16:42:41-9308 (37838848 bytes)
:Jun 15 17:06:55 chrys abrt[11039]: Saved core dump of pid 11036 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-17:06:54-11036 (37838848 bytes)
:Jun 15 17:40:25 chrys abrt[11815]: Saved core dump of pid 11790 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-17:40:24-11790 (37822464 bytes)
:Jun 15 17:44:38 chrys abrt[12123]: Saved core dump of pid 12120 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-15-17:44:37-12120 (37838848 bytes)

xsession_errors:
:/usr/lib/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
:/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: specified class size for type `PyGtkGenericCellRenderer' is smaller than the parent type's `GtkCellRenderer' class size
:/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
:/usr/lib/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
:/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: specified class size for type `PyGtkGenericCellRenderer' is smaller than the parent type's `GtkCellRenderer' class size
:/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
Comment 1 chrys87 2012-06-15 11:47:31 EDT
Created attachment 592172 [details]
File: core_backtrace
Comment 2 chrys87 2012-06-15 11:47:34 EDT
Created attachment 592173 [details]
File: backtrace
Comment 3 chrys87 2012-06-15 11:47:36 EDT
Created attachment 592174 [details]
File: maps
Comment 4 chrys87 2012-06-15 11:47:38 EDT
Created attachment 592175 [details]
File: dso_list
Comment 5 chrys87 2012-06-15 11:47:40 EDT
Created attachment 592176 [details]
File: build_ids
Comment 6 Carl Hartman 2012-10-10 05:04:08 EDT
python -c "help('modules')"

backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Jan Sedlák 2012-12-03 04:50:08 EST
I have done:
>>> import pyatspi
>>> import types
>>> import time
>>> from gi.repository import Gdk
>>> import SimpleCV
/usr/lib64/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: cannot register existing type `GdkWindow'
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Segmentation fault (core dumped)

note that when you run:
>>> import SimpleCV
>>> import pyatspi

it shows:
ERROR: 
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/pyatspi/__init__.py", line 17, in <module>
    from gi.repository import Atspi
  File "/usr/lib64/python2.7/site-packages/gi/__init__.py", line 23, in <module>
    from ._gi import _API, Repository
ImportError: could not import gobject (error was: ImportError('When using gi.repository you must not import static modules like "gobject". Please change all occurrences of "import gobject" to "from gi.repository import GObject".',))


backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Brian Marshall 2012-12-18 23:04:25 EST
This happened when loading the list of modules in the Python interactive help:

$ python
Python 2.7.3 (default, Aug  9 2012, 17:23:57) 
[GCC 4.7.1 20120720 (Red Hat 4.7.1-5)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> help()

help> modules

Please wait a moment while I gather a list of all available modules...

dm.c: 1693: not running as root returning empty list
/usr/lib64/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: specified class size for type `PyGtkGenericCellRenderer' is smaller than the parent type's `GtkCellRenderer' class size
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Segmentation fault (core dumped)


backtrace_rating: 4
Package: python-2.7.3-13.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 9 Pavel Káčerek 2013-01-05 07:14:12 EST
I click right buton on mouse on folder and select Send., the error

backtrace_rating: 4
Package: nautilus-sendto-3.0.3-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Ivan Le Lann 2013-02-01 08:11:47 EST
Fedora 18 x64 (upgraded from F17 install), in terminal :

python
help()
modules

crash. back to terminal.
no problem with python3.

crash text after "modules" :

Please wait a moment while I gather a list of all available modules...

dm.c: 1693: not running as root returning empty list
/usr/lib64/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: specified class size for type `PyGtkGenericCellRenderer' is smaller than the parent type's `GtkCellRenderer' class size
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Erreur de segmentation (core dumped)




backtrace_rating: 4
Package: python-2.7.3-13.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 11 Aditya Mukhopadhyay 2013-02-02 01:03:57 EST
Invoked help('modules') from the interactive shell. Got the following stacktrace, followed by a crash: (was running the shell as a normal user)

>>> help('modules')

Please wait a moment while I gather a list of all available modules...

dm.c: 1693: not running as root returning empty list
/usr/lib64/python2.7/site-packages/gobject/constants.py:24: Warning: g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gobject._gobject
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: specified class size for type `PyGtkGenericCellRenderer' is smaller than the parent type's `GtkCellRenderer' class size
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Segmentation fault (core dumped)


backtrace_rating: 4
Package: python-2.7.3-7.2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 lordbyte 2013-02-05 16:29:09 EST
after login abrt have reported this error

backtrace_rating: 4
Package: nautilus-sendto-3.6.0-1.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 13 Fedora Admin XMLRPC Client 2013-05-10 01:00:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2013-05-10 01:01:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2013-05-10 01:05:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora Admin XMLRPC Client 2013-05-10 01:13:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2013-05-10 01:13:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora End Of Life 2013-07-03 16:05:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2013-07-31 15:24:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.